"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const extractMathRx = /^\s*<html>\s*<script\s*type="math\/tex(?:;[^"]*)">([\s\S]*)<\/script><\/html>\s*$/;
/**
 * Returns a text/html data renderer with workaround for SageMath (La)TeX output.
 */
exports.default = ({ elementCreator: el, mathRenderer: renderMath }) => {
    return (data) => {
        const math = (data.match(extractMathRx) || [])[1];
        return math
            ? el('div', ['latex-output'], renderMath(math))
            : el('div', ['html-output'], data);
    };
};
//# sourceMappingURL=htmlRenderer.js.map